require 'spec_helper'

describe 'collectd::plugin::zfs_arc', type: :class do
  let :facts do
    {
      collectd_version: '4.8.0',
      operatingsystemmajrelease: '7',
      python_dir: '/usr/local/lib/python2.7/dist-packages'
    }
  end
  context ':ensure => present' do
    let :facts do
      {
        osfamily: 'FreeBSD',
        collectd_version: '4.8.0',
        operatingsystemmajrelease: '7',
        python_dir: '/usr/local/lib/python2.7/dist-packages'
      }
    end
    it 'Will create 10-zfs_arc.conf' do
      is_expected.to contain_file('zfs_arc.load').with(ensure: 'present',
                                                       path: '/usr/local/etc/collectd/10-zfs_arc.conf',
                                                       content: %r{\#\ Generated by Puppet\nLoadPlugin zfs_arc\n})
    end
  end

  context ':ensure => absent' do
    let :facts do
      {
        osfamily: 'FreeBSD',
        collectd_version: '4.8.0',
        operatingsystemmajrelease: '7',
        python_dir: '/usr/local/lib/python2.7/dist-packages'
      }
    end
    let :params do
      { ensure: 'absent' }
    end

    it 'Will not create 10-zfs_arc.conf' do
      is_expected.to contain_file('zfs_arc.load').with(ensure: 'absent',
                                                       path: '/usr/local/etc/collectd/10-zfs_arc.conf')
    end
  end
end
